Skip to main content
PATCH
/
conversations
/
{conversation}
/
messages
/
{message}
Update a message in a conversation
curl --request PATCH \
  --url https://api.example.com/conversations/{conversation}/messages/{message} \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": "<string>"
}
'
import requests

url = "https://api.example.com/conversations/{conversation}/messages/{message}"

payload = { "message": "<string>" }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>'})
};

fetch('https://api.example.com/conversations/{conversation}/messages/{message}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 1,
  "type": "<string>",
  "conversationId": 123,
  "is_reply": true,
  "parent": null,
  "deleted": true,
  "message": "<string>",
  "date": 123,
  "edited_at": 123,
  "reactions": [
    {}
  ],
  "author": {
    "id": 1,
    "first_name": "John",
    "last_name": "Doe",
    "name": "John Doe",
    "title": "Manager",
    "active": true,
    "avatar": {},
    "archived_at": 123,
    "participant_type": "<string>",
    "subtext": "Manager - HQ (Sales)",
    "department": {
      "id": 10,
      "name": "Sales"
    },
    "unit": {
      "id": 5,
      "name": "HQ"
    }
  },
  "files": [
    {
      "id": 1,
      "name": "document.pdf",
      "mime": "application/pdf",
      "size": 102400,
      "type": "file",
      "extension": "pdf",
      "uploaded": true,
      "processing": false,
      "height": 123,
      "width": 123,
      "source": "<string>",
      "stream": "<string>",
      "versions": {},
      "screenshot": "<unknown>",
      "date": 123,
      "created_at": 123,
      "updated_at": 123,
      "created_formatted": "<string>",
      "updated_formatted": "<string>"
    }
  ],
  "voice": {
    "id": 1,
    "processing": true,
    "extension": "mp3",
    "duration": 12.5,
    "url": "<string>"
  }
}

Path Parameters

conversation
integer
required

Conversation ID

message
integer
required

Message ID

Body

application/json
message
string
required

Updated message text

Response

The updated message.

id
integer
Example:

1

type
string
conversationId
integer
is_reply
boolean
parent
unknown
deleted
boolean
message
string
date
integer

Unix timestamp

edited_at
integer | null
reactions
object[]
author
object | null
files
object[]
voice
object | null